## pritunl-0.10.4.tar.gz

=== requirements.txt ===
flask>=0.6
cherrypy>=3.2.0

=== debian/changelog ===
pritunl (0.10.4-0ubuntu1) unstable; urgency=low

  * Improve support for mobile devices
  * Add temporary page to view two-step authentication key and conf links
  * Add organization name to two-step authentication label
  * Changes to rest api
  * User conf data will be automatically upgraded after first launch

 -- Zachary Huff <zach.huff.386@gmail.com>  Fri, 10 Jan 2014 12:32:57 -0400

pritunl (0.10.3-0ubuntu1) unstable; urgency=low

  * Add functionality to generate new two-step authentication keys
  * Add support for inline certs
  * Servers will only restart when deleting users that are connected
  * Add export data handler

 -- Zachary Huff <zach.huff.386@gmail.com>  Thu, 14 Nov 2013 23:02:43 -0400

pritunl (0.10.2-0ubuntu1) unstable; urgency=low

  * Add time based two-step otp password verification using google authenticator
  * Add client sent and received data transfer to status tooltip
  * Use openvpn client-to-client when using local network
  * Reduce default dh_param bits length
  * Add conf option get_public_ip
  * User conf data will be automatically upgraded after first launch

 -- Zachary Huff <zach.huff.386@gmail.com>  Mon, 04 Nov 2013 16:34:22 -0400

pritunl (0.10.1-0ubuntu1) unstable; urgency=low

  * Initial beta release

 -- Zachary Huff <zach.huff.386@gmail.com>  Thu, 10 Oct 2013 15:28:32 -0400

=== arch/PKGBUILD ===
# Maintainer: Zachary Huff <zach.huff.386@gmail.com>

pkgname=pritunl
pkgver=0.10.4
pkgrel=1
pkgdesc="Simple openvpn server"
arch=("any")
license=("AGPL3")
url="https://github.com/pritunl/${pkgname}"
depends=(
    "python"
    "python2"
    "python2-flask"
    "python2-cherrypy"
    "net-tools"
    "iproute2"
    "openvpn"
)
makedepends=(
    "python2-distribute"
)
provides=("${pkgname}")
conflicts=("${pkgname}")
install=${pkgname}.install
source=("${url}/archive/${pkgver}.tar.gz")
sha256sums=("CHANGE_ME")
options=("emptydirs")
backup=(
    "etc/${pkgname}.conf"
    "var/lib/${pkgname}/${pkgname}.db"
    "var/log/${pkgname}.log"
)

build() {
    cd "${srcdir}/${pkgname}-${pkgver}"
    python2 setup.py build
}

package() {
    cd "${srcdir}/${pkgname}-${pkgver}"
    mkdir -p "${pkgdir}/var/lib/${pkgname}"
    python2 setup.py install --root="${pkgdir}" --prefix=/usr --no-upstart
}

=== debian/control ===
Source: pritunl
Section: utils
Priority: optional
Maintainer: Zachary Huff <zach.huff.386@gmail.com>
Build-Depends: debhelper (>= 8.0.0),
               python-all (>= 2.7),
               python-setuptools (>= 0.6b3)
Standards-Version: 3.9.4
Homepage: http://pritunl.com/
X-Python-Version: >= 2.7
#Vcs-Git: https://github.com/pritunl/pritunl.git
#Vcs-Browser: https://github.com/pritunl/pritunl

Package: pritunl
Architecture: all
Depends: python-flask,
         python-cherrypy3,
         openvpn,
         ${misc:Depends},
         ${python:Depends}
Description: Simple openvpn server
 Pritunl is a simple openvpn server management tool. Multiple organizations,
 users and openvpn servers can be managed and configured from a simple web
 interface. Documentation and more information can be found at the home page
 pritunl.com
